org.eclipse.viatra.query.tooling.ui.dialog

## Class PatternMatchDialogLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.viatra.query.tooling.ui.dialog.PatternMatchDialogLabelProvider

- All Implemented Interfaces:
    org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

      public class PatternMatchDialogLabelProvider
      extends org.eclipse.jface.viewers.LabelProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternMatchDialogLabelProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.swt.graphics.Image` | `getImage(java.lang.Object element)`
    `java.lang.String` | `getText(java.lang.Object element)`
    `boolean` | `isLabelProperty(java.lang.Object element, java.lang.String property)`

    - ### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

      `addListener, dispose, fireLabelProviderChanged, removeListener`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

      `addListener, dispose, removeListener`

- - ### Constructor Detail

    - #### PatternMatchDialogLabelProvider

          public PatternMatchDialogLabelProvider()

  - ### Method Detail

    - #### isLabelProperty

          public boolean isLabelProperty(java.lang.Object element,
                                         java.lang.String property)

      Specified by:
        `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
      Overrides:
        `isLabelProperty` in class `org.eclipse.jface.viewers.BaseLabelProvider`

    - #### getImage

          public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

      Specified by:
        `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
      Overrides:
        `getImage` in class `org.eclipse.jface.viewers.LabelProvider`

    - #### getText

          public java.lang.String getText(java.lang.Object element)

      Specified by:
        `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
      Overrides:
        `getText` in class `org.eclipse.jface.viewers.LabelProvider`